%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           micropolis-activity
Version:        0.0.1
Release:        0.1%{?dist}
Summary:        Free SimCity

Group:          Games
License:        GPLv3+
URL:            http://www.google.com/
Source0:        http://www.donhopkins.com/home/micropolis/%{name}-source.tgz    
# taken from upstream VCS
# svn co svn://svn.debian.org/pkg-games/packages/trunk/micropolis-activity/debian/patches/
# tar cjf micropolis-activity-patches.tar.bz2 patches/
Source1:        %{name}-patches.tar.bz2
Patch0:         micropolis-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  swig byacc libXpm-devel
#Requires:       

%description
free simcity

%prep
%setup -q -a 1 -n %{name}
patch -p 1  < patches/makefile.patch
patch -p 1  < patches/mac-osx.patch
patch -p 1  < patches/zerfleddert.20080115.patch
%patch0 -p 1 


%build
pushd src
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libexecdir}/%{name}
cp -r res/ images/ cities/ $RPM_BUILD_ROOT/%{_datadir}/%{name}/

install -m 0755 Micropolis $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 src/sim/sim $RPM_BUILD_ROOT/%{_libexecdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc manual/
%{_bindir}/Micropolis
%{_datadir}/%{name}
%{_libexecdir}/%{name}

%changelog
* Fri Jan 25 2008  Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.1
- Initial package
